#!/bin/bash
set -x

# identity, pointless math ops
IDSCL=8
R -f identity.R --args none $IDSCL
export RENJIN_OPTS="-Drenjin.vp.threads=1 -Drenjin.vp.disableopt=true" 
renjin -f identity.R --args noopt $IDSCL
export RENJIN_OPTS="-Drenjin.vp.threads=1" 
renjin -f identity.R --args opt $IDSCL

# pushdown              
PDSCL=8
R -f pushdown.R --args none $PDSCL
export RENJIN_OPTS="-Drenjin.vp.threads=1"
renjin -f pushdown.R --args none $IDSCL

# recycling
PDRYC=8
export RENJIN_OPTS="-Xmx16G -Drenjin.vp.threads=1 -Drenjin.vp.disableopt=true"
renjin -f recycling.R --args noopt $PDRYC
export RENJIN_OPTS="-Xmx16G -Drenjin.vp.threads=1"
renjin -f recycling.R --args opt $PDRYC
R -f recycling.R --args none $PDRYC

# parallel processing
PDPAR=9
R -f parallel.R --args none $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=1"                            
renjin -f parallel.R --args 1 $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=2"                            
renjin -f parallel.R --args 2 $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=4"                            
renjin -f parallel.R --args 4 $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=8"                            
renjin -f parallel.R --args 8 $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=16"                            
renjin -f parallel.R --args 16 $PDPAR
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=32"                            
renjin -f parallel.R --args 32 $PDPAR

# vectorized/jitted operators
PDOPT=9
export RENJIN_OPTS="-Xmx16G -Drenjin.vp.threads=1"                            
renjin -f operators.R --args opt $PDOPT
export RENJIN_OPTS="-Xmx16G -Drenjin.vp.threads=1 -Drenjin.vp.disablejit=true"                            
renjin -f operators.R --args noopt $PDOPT
R -f operators.R --args none $PDOPT

# survey
#NOTE: Need to install MonetDB and load ACS dataset to run this
#R -f sqlsurvey.R   --args laptop 42
R -f survey.R      --args laptop 42
pqR -f -f survey.R --args pqr 42

export RENJIN_OPTS="-Xmx200G"         
renjin -f survey.R --args jitopt 42
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.disableopt=true"         
renjin -f survey.R --args noopt 42   
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.disablejit=true"    
renjin -f survey.R --args nojit 42      
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.disableopt=true -Drenjin.vp.disablejit=true"    
renjin -f survey.R --args none 42      
export RENJIN_OPTS="-Xmx200G -Drenjin.vp.threads=1"    
renjin -f survey.R --args 1t 42      
