library("MonetDB.R")
library("survey")
library("sqlsurvey")

options(na.action = "na.pass")

source("harness.R")
for (s in c("alabama", "california", "acs3yr")) { 
  svydsgn <- sqlrepsurvey("pwgtp", paste("pwgtp", 1:80, sep = ""),
    scale = 4/80, rscales = rep(1, 80), mse = TRUE,
    database = "monetdb://localhost/acs2", driver = MonetDB.R(),
    key = "idkey", user = "monetdb", password = "monetdb", table.name = s, check.factors = data.frame())

  for (r in 1:5) {
    timing <- system.time({
      print(svymean(~ agep, svydsgn, se = TRUE))
      print(svymean(~ adjinc, svydsgn, se = TRUE))
    })[[3]]
    log.result("survey", "sqlsurvey", conf, s, r, timing)
  }
}

# TODO: test with Oct14 branch, probably faster
# TODO: Test on bricks?
